/**
* @module vue-mdc-adaptericon-toggle 0.12.0
* @exports VueMDCIconToggle
* @copyright (c) 2017-present, Sebastien Tasson
* @license https://opensource.org/licenses/MIT
* @implements {"material-components-web":"^0.32.0"}
* @requires {"vue":"^2.5.6"}
* @see https://github.com/stasson/vue-mdc-adapter
*/
!function(t,e){"object"==typeof exports&&"undefined"!=typeof module?module.exports=e():"function"==typeof define&&define.amd?define(e):t.VueMDCIconToggle=e()}(this,function(){"use strict";var t=function(t,e){if(!(t instanceof e))throw new TypeError("Cannot call a class as a function")},e=function(){function t(t,e){for(var n=0;n<e.length;n++){var a=e[n];a.enumerable=a.enumerable||!1,a.configurable=!0,"value"in a&&(a.writable=!0),Object.defineProperty(t,a.key,a)}}return function(e,n,a){return n&&t(e.prototype,n),a&&t(e,a),e}}(),n=Object.assign||function(t){for(var e=1;e<arguments.length;e++){var n=arguments[e];for(var a in n)Object.prototype.hasOwnProperty.call(n,a)&&(t[a]=n[a])}return t},a=function(t,e){if("function"!=typeof e&&null!==e)throw new TypeError("Super expression must either be null or a function, not "+typeof e);t.prototype=Object.create(e&&e.prototype,{constructor:{value:t,enumerable:!1,writable:!0,configurable:!0}}),e&&(Object.setPrototypeOf?Object.setPrototypeOf(t,e):t.__proto__=e)},i=function(t,e){if(!t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!e||"object"!=typeof e&&"function"!=typeof e?t:e},r=function(){function n(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};t(this,n),this.adapter_=e}return e(n,null,[{key:"cssClasses",get:function(){return{}}},{key:"strings",get:function(){return{}}},{key:"numbers",get:function(){return{}}},{key:"defaultAdapter",get:function(){return{}}}]),e(n,[{key:"init",value:function(){}},{key:"destroy",value:function(){}}]),n}(),s=(function(){function n(){t(this,n)}e(n,[{key:"addClass",value:function(t){}},{key:"removeClass",value:function(t){}},{key:"registerInteractionHandler",value:function(t,e){}},{key:"deregisterInteractionHandler",value:function(t,e){}},{key:"setText",value:function(t){}},{key:"getTabIndex",value:function(){}},{key:"setTabIndex",value:function(t){}},{key:"getAttr",value:function(t){}},{key:"setAttr",value:function(t,e){}},{key:"rmAttr",value:function(t){}},{key:"notifyChange",value:function(t){}}])}(),{ROOT:"mdc-icon-toggle",DISABLED:"mdc-icon-toggle--disabled"}),o={DATA_TOGGLE_ON:"data-toggle-on",DATA_TOGGLE_OFF:"data-toggle-off",ARIA_PRESSED:"aria-pressed",ARIA_DISABLED:"aria-disabled",ARIA_LABEL:"aria-label",CHANGE_EVENT:"MDCIconToggle:change"},u=function(u){function d(e){t(this,d);var a=i(this,(d.__proto__||Object.getPrototypeOf(d)).call(this,n(d.defaultAdapter,e)));return a.on_=!1,a.disabled_=!1,a.savedTabIndex_=-1,a.toggleOnData_=null,a.toggleOffData_=null,a.clickHandler_=function(){return a.toggleFromEvt_()},a.isHandlingKeydown_=!1,a.keydownHandler_=function(t){if(c(t))return a.isHandlingKeydown_=!0,t.preventDefault()},a.keyupHandler_=function(t){c(t)&&(a.isHandlingKeydown_=!1,a.toggleFromEvt_())},a}return a(d,r),e(d,null,[{key:"cssClasses",get:function(){return s}},{key:"strings",get:function(){return o}},{key:"defaultAdapter",get:function(){return{addClass:function(){},removeClass:function(){},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},setText:function(){},getTabIndex:function(){return 0},setTabIndex:function(){},getAttr:function(){return""},setAttr:function(){},rmAttr:function(){},notifyChange:function(){}}}}]),e(d,[{key:"init",value:function(){this.refreshToggleData(),this.savedTabIndex_=this.adapter_.getTabIndex(),this.adapter_.registerInteractionHandler("click",this.clickHandler_),this.adapter_.registerInteractionHandler("keydown",this.keydownHandler_),this.adapter_.registerInteractionHandler("keyup",this.keyupHandler_)}},{key:"refreshToggleData",value:function(){var t=d.strings,e=t.DATA_TOGGLE_ON,n=t.DATA_TOGGLE_OFF;this.toggleOnData_=this.parseJsonDataAttr_(e),this.toggleOffData_=this.parseJsonDataAttr_(n)}},{key:"destroy",value:function(){this.adapter_.deregisterInteractionHandler("click",this.clickHandler_),this.adapter_.deregisterInteractionHandler("keydown",this.keydownHandler_),this.adapter_.deregisterInteractionHandler("keyup",this.keyupHandler_)}},{key:"toggleFromEvt_",value:function(){this.toggle();var t=this.on_;this.adapter_.notifyChange({isOn:t})}},{key:"isOn",value:function(){return this.on_}},{key:"toggle",value:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:!this.on_;this.on_=t;var e=d.strings,n=e.ARIA_LABEL,a=e.ARIA_PRESSED;this.on_?this.adapter_.setAttr(a,"true"):this.adapter_.setAttr(a,"false");var i=(this.on_?this.toggleOffData_:this.toggleOnData_).cssClass;i&&this.adapter_.removeClass(i);var r=this.on_?this.toggleOnData_:this.toggleOffData_,s=r.content,o=r.label,u=r.cssClass;u&&this.adapter_.addClass(u),s&&this.adapter_.setText(s),o&&this.adapter_.setAttr(n,o)}},{key:"parseJsonDataAttr_",value:function(t){var e=this.adapter_.getAttr(t);return e?JSON.parse(e):{}}},{key:"isDisabled",value:function(){return this.disabled_}},{key:"setDisabled",value:function(t){this.disabled_=t;var e=d.cssClasses.DISABLED,n=d.strings.ARIA_DISABLED;this.disabled_?(this.savedTabIndex_=this.adapter_.getTabIndex(),this.adapter_.setTabIndex(-1),this.adapter_.setAttr(n,"true"),this.adapter_.addClass(e)):(this.adapter_.setTabIndex(this.savedTabIndex_),this.adapter_.rmAttr(n),this.adapter_.removeClass(e))}},{key:"isKeyboardActivated",value:function(){return this.isHandlingKeydown_}}]),d}();function c(t){return"Space"===t.key||32===t.keyCode}
/**
 * @license
 * Copyright 2016 Google Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */!function(){function n(){t(this,n)}e(n,[{key:"browserSupportsCssVars",value:function(){}},{key:"isUnbounded",value:function(){}},{key:"isSurfaceActive",value:function(){}},{key:"isSurfaceDisabled",value:function(){}},{key:"addClass",value:function(t){}},{key:"removeClass",value:function(t){}},{key:"containsEventTarget",value:function(t){}},{key:"registerInteractionHandler",value:function(t,e){}},{key:"deregisterInteractionHandler",value:function(t,e){}},{key:"registerDocumentInteractionHandler",value:function(t,e){}},{key:"deregisterDocumentInteractionHandler",value:function(t,e){}},{key:"registerResizeHandler",value:function(t){}},{key:"deregisterResizeHandler",value:function(t){}},{key:"updateCssVariable",value:function(t,e){}},{key:"computeBoundingRect",value:function(){}},{key:"getWindowPageOffset",value:function(){}}])}();
/**
 * @license
 * Copyright 2016 Google Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */var d={ROOT:"mdc-ripple-upgraded",UNBOUNDED:"mdc-ripple-upgraded--unbounded",BG_FOCUSED:"mdc-ripple-upgraded--background-focused",FG_ACTIVATION:"mdc-ripple-upgraded--foreground-activation",FG_DEACTIVATION:"mdc-ripple-upgraded--foreground-deactivation"},l={VAR_LEFT:"--mdc-ripple-left",VAR_TOP:"--mdc-ripple-top",VAR_FG_SIZE:"--mdc-ripple-fg-size",VAR_FG_SCALE:"--mdc-ripple-fg-scale",VAR_FG_TRANSLATE_START:"--mdc-ripple-fg-translate-start",VAR_FG_TRANSLATE_END:"--mdc-ripple-fg-translate-end"},f={PADDING:10,INITIAL_ORIGIN_SCALE:.6,DEACTIVATION_TIMEOUT_MS:225,FG_DEACTIVATION_MS:150,TAP_DELAY_MS:300},_=void 0,v=void 0;function h(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:window,e=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if(void 0===v||e){var n=!1;try{t.document.addEventListener("test",null,{get passive(){n=!0}})}catch(t){}v=n}return!!v&&{passive:!0}}
/**
 * @license
 * Copyright 2016 Google Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var g,p=["touchstart","pointerdown","mousedown","keydown"],m=["touchend","pointerup","mouseup"],y=[],A=function(s){function o(e){t(this,o);var a=i(this,(o.__proto__||Object.getPrototypeOf(o)).call(this,n(o.defaultAdapter,e)));return a.layoutFrame_=0,a.frame_={width:0,height:0},a.activationState_=a.defaultActivationState_(),a.initialSize_=0,a.maxRadius_=0,a.activateHandler_=function(t){return a.activate_(t)},a.deactivateHandler_=function(t){return a.deactivate_(t)},a.focusHandler_=function(){return requestAnimationFrame(function(){return a.adapter_.addClass(o.cssClasses.BG_FOCUSED)})},a.blurHandler_=function(){return requestAnimationFrame(function(){return a.adapter_.removeClass(o.cssClasses.BG_FOCUSED)})},a.resizeHandler_=function(){return a.layout()},a.unboundedCoords_={left:0,top:0},a.fgScale_=0,a.activationTimer_=0,a.fgDeactivationRemovalTimer_=0,a.activationAnimationHasEnded_=!1,a.activationTimerCallback_=function(){a.activationAnimationHasEnded_=!0,a.runDeactivationUXLogicIfReady_()},a.previousActivationEvent_=null,a}return a(o,r),e(o,null,[{key:"cssClasses",get:function(){return d}},{key:"strings",get:function(){return l}},{key:"numbers",get:function(){return f}},{key:"defaultAdapter",get:function(){return{browserSupportsCssVars:function(){},isUnbounded:function(){},isSurfaceActive:function(){},isSurfaceDisabled:function(){},addClass:function(){},removeClass:function(){},containsEventTarget:function(){},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},registerDocumentInteractionHandler:function(){},deregisterDocumentInteractionHandler:function(){},registerResizeHandler:function(){},deregisterResizeHandler:function(){},updateCssVariable:function(){},computeBoundingRect:function(){},getWindowPageOffset:function(){}}}}]),e(o,[{key:"isSupported_",value:function(){return this.adapter_.browserSupportsCssVars()}},{key:"defaultActivationState_",value:function(){return{isActivated:!1,hasDeactivationUXRun:!1,wasActivatedByPointer:!1,wasElementMadeActive:!1,activationEvent:null,isProgrammatic:!1}}},{key:"init",value:function(){var t=this;if(this.isSupported_()){this.registerRootHandlers_();var e=o.cssClasses,n=e.ROOT,a=e.UNBOUNDED;requestAnimationFrame(function(){t.adapter_.addClass(n),t.adapter_.isUnbounded()&&t.adapter_.addClass(a),t.layoutInternal_()})}}},{key:"destroy",value:function(){var t=this;if(this.isSupported_()){this.deregisterRootHandlers_(),this.deregisterDeactivationHandlers_();var e=o.cssClasses,n=e.ROOT,a=e.UNBOUNDED;requestAnimationFrame(function(){t.adapter_.removeClass(n),t.adapter_.removeClass(a),t.removeCssVars_()})}}},{key:"registerRootHandlers_",value:function(){var t=this;p.forEach(function(e){t.adapter_.registerInteractionHandler(e,t.activateHandler_)}),this.adapter_.registerInteractionHandler("focus",this.focusHandler_),this.adapter_.registerInteractionHandler("blur",this.blurHandler_),this.adapter_.registerResizeHandler(this.resizeHandler_)}},{key:"registerDeactivationHandlers_",value:function(t){var e=this;"keydown"===t.type?this.adapter_.registerInteractionHandler("keyup",this.deactivateHandler_):m.forEach(function(t){e.adapter_.registerDocumentInteractionHandler(t,e.deactivateHandler_)})}},{key:"deregisterRootHandlers_",value:function(){var t=this;p.forEach(function(e){t.adapter_.deregisterInteractionHandler(e,t.activateHandler_)}),this.adapter_.deregisterInteractionHandler("focus",this.focusHandler_),this.adapter_.deregisterInteractionHandler("blur",this.blurHandler_),this.adapter_.deregisterResizeHandler(this.resizeHandler_)}},{key:"deregisterDeactivationHandlers_",value:function(){var t=this;this.adapter_.deregisterInteractionHandler("keyup",this.deactivateHandler_),m.forEach(function(e){t.adapter_.deregisterDocumentInteractionHandler(e,t.deactivateHandler_)})}},{key:"removeCssVars_",value:function(){var t=this,e=o.strings;Object.keys(e).forEach(function(n){0===n.indexOf("VAR_")&&t.adapter_.updateCssVariable(e[n],null)})}},{key:"activate_",value:function(t){var e=this;if(!this.adapter_.isSurfaceDisabled()){var n=this.activationState_;if(!n.isActivated){var a=this.previousActivationEvent_;if(!(a&&t&&a.type!==t.type))n.isActivated=!0,n.isProgrammatic=null===t,n.activationEvent=t,n.wasActivatedByPointer=!n.isProgrammatic&&("mousedown"===t.type||"touchstart"===t.type||"pointerdown"===t.type),t&&y.length>0&&y.some(function(t){return e.adapter_.containsEventTarget(t)})?this.resetActivationState_():(t&&(y.push(t.target),this.registerDeactivationHandlers_(t)),requestAnimationFrame(function(){n.wasElementMadeActive=!t||"keydown"!==t.type||e.adapter_.isSurfaceActive(),n.wasElementMadeActive?e.animateActivation_():e.activationState_=e.defaultActivationState_(),y=[]}))}}}},{key:"activate",value:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.activate_(t)}},{key:"animateActivation_",value:function(){var t=this,e=o.strings,n=e.VAR_FG_TRANSLATE_START,a=e.VAR_FG_TRANSLATE_END,i=o.cssClasses,r=i.FG_DEACTIVATION,s=i.FG_ACTIVATION,u=o.numbers.DEACTIVATION_TIMEOUT_MS,c="",d="";if(!this.adapter_.isUnbounded()){var l=this.getFgTranslationCoordinates_(),f=l.startPoint,_=l.endPoint;c=f.x+"px, "+f.y+"px",d=_.x+"px, "+_.y+"px"}this.adapter_.updateCssVariable(n,c),this.adapter_.updateCssVariable(a,d),clearTimeout(this.activationTimer_),clearTimeout(this.fgDeactivationRemovalTimer_),this.rmBoundedActivationClasses_(),this.adapter_.removeClass(r),this.adapter_.computeBoundingRect(),this.adapter_.addClass(s),this.activationTimer_=setTimeout(function(){return t.activationTimerCallback_()},u)}},{key:"getFgTranslationCoordinates_",value:function(){var t,e,n,a,i,r,s,o,u,c=this.activationState_,d=c.activationEvent,l=void 0;return c.wasActivatedByPointer?(t=d,e=this.adapter_.getWindowPageOffset(),n=this.adapter_.computeBoundingRect(),a=e.x,i=e.y,r=a+n.left,s=i+n.top,o=void 0,u=void 0,"touchstart"===t.type?(o=t.changedTouches[0].pageX-r,u=t.changedTouches[0].pageY-s):(o=t.pageX-r,u=t.pageY-s),l={x:o,y:u}):l={x:this.frame_.width/2,y:this.frame_.height/2},{startPoint:l={x:l.x-this.initialSize_/2,y:l.y-this.initialSize_/2},endPoint:{x:this.frame_.width/2-this.initialSize_/2,y:this.frame_.height/2-this.initialSize_/2}}}},{key:"runDeactivationUXLogicIfReady_",value:function(){var t=this,e=o.cssClasses.FG_DEACTIVATION,n=this.activationState_,a=n.hasDeactivationUXRun,i=n.isActivated;(a||!i)&&this.activationAnimationHasEnded_&&(this.rmBoundedActivationClasses_(),this.adapter_.addClass(e),this.fgDeactivationRemovalTimer_=setTimeout(function(){t.adapter_.removeClass(e)},f.FG_DEACTIVATION_MS))}},{key:"rmBoundedActivationClasses_",value:function(){var t=o.cssClasses.FG_ACTIVATION;this.adapter_.removeClass(t),this.activationAnimationHasEnded_=!1,this.adapter_.computeBoundingRect()}},{key:"resetActivationState_",value:function(){var t=this;this.previousActivationEvent_=this.activationState_.activationEvent,this.activationState_=this.defaultActivationState_(),setTimeout(function(){return t.previousActivationEvent_=null},o.numbers.TAP_DELAY_MS)}},{key:"deactivate_",value:function(t){var e=this,a=this.activationState_;if(a.isActivated){var i=n({},a);if(a.isProgrammatic){requestAnimationFrame(function(){return e.animateDeactivation_(null,i)}),this.resetActivationState_()}else this.deregisterDeactivationHandlers_(),requestAnimationFrame(function(){e.activationState_.hasDeactivationUXRun=!0,e.animateDeactivation_(t,i),e.resetActivationState_()})}}},{key:"deactivate",value:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.deactivate_(t)}},{key:"animateDeactivation_",value:function(t,e){var n=e.wasActivatedByPointer,a=e.wasElementMadeActive;(n||a)&&this.runDeactivationUXLogicIfReady_()}},{key:"layout",value:function(){var t=this;this.layoutFrame_&&cancelAnimationFrame(this.layoutFrame_),this.layoutFrame_=requestAnimationFrame(function(){t.layoutInternal_(),t.layoutFrame_=0})}},{key:"layoutInternal_",value:function(){var t=this;this.frame_=this.adapter_.computeBoundingRect();var e=Math.max(this.frame_.height,this.frame_.width);this.maxRadius_=this.adapter_.isUnbounded()?e:Math.sqrt(Math.pow(t.frame_.width,2)+Math.pow(t.frame_.height,2))+o.numbers.PADDING,this.initialSize_=e*o.numbers.INITIAL_ORIGIN_SCALE,this.fgScale_=this.maxRadius_/this.initialSize_,this.updateLayoutCssVars_()}},{key:"updateLayoutCssVars_",value:function(){var t=o.strings,e=t.VAR_FG_SIZE,n=t.VAR_LEFT,a=t.VAR_TOP,i=t.VAR_FG_SCALE;this.adapter_.updateCssVariable(e,this.initialSize_+"px"),this.adapter_.updateCssVariable(i,this.fgScale_),this.adapter_.isUnbounded()&&(this.unboundedCoords_={left:Math.round(this.frame_.width/2-this.initialSize_/2),top:Math.round(this.frame_.height/2-this.initialSize_/2)},this.adapter_.updateCssVariable(n,this.unboundedCoords_.left+"px"),this.adapter_.updateCssVariable(a,this.unboundedCoords_.top+"px"))}},{key:"setUnbounded",value:function(t){var e=o.cssClasses.UNBOUNDED;t?this.adapter_.addClass(e):this.adapter_.removeClass(e)}}]),o}(),b=function(r){function s(e,a){return t(this,s),i(this,(s.__proto__||Object.getPrototypeOf(s)).call(this,n({browserSupportsCssVars:function(){return function(t){var e=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if("boolean"==typeof _&&!e)return _;if(t.CSS&&"function"==typeof t.CSS.supports){var n=t.CSS.supports("--css-vars","yes"),a=t.CSS.supports("(--css-vars: yes)")&&t.CSS.supports("color","#00000000");return _=!(!n&&!a||function(t){var e=t.document,n=e.createElement("div");n.className="mdc-ripple-surface--test-edge-var-bug",e.body.appendChild(n);var a=t.getComputedStyle(n),i=null!==a&&"solid"===a.borderTopStyle;return n.remove(),i}(t))}}(window)},isUnbounded:function(){return!1},isSurfaceActive:function(){return e.$el[s.MATCHES](":active")},isSurfaceDisabled:function(){return e.disabled},addClass:function(t){e.$set(e.classes,t,!0)},removeClass:function(t){e.$delete(e.classes,t)},containsEventTarget:function(t){return e.$el.contains(t)},registerInteractionHandler:function(t,n){e.$el.addEventListener(t,n)},deregisterInteractionHandler:function(t,n){e.$el.removeEventListener(t,n)},registerDocumentInteractionHandler:function(t,e){return document.documentElement.addEventListener(t,e,h())},deregisterDocumentInteractionHandler:function(t,e){return document.documentElement.removeEventListener(t,e,h())},registerResizeHandler:function(t){return window.addEventListener("resize",t)},deregisterResizeHandler:function(t){return window.removeEventListener("resize",t)},updateCssVariable:function(t,n){e.$set(e.styles,t,n)},computeBoundingRect:function(){return e.$el.getBoundingClientRect()},getWindowPageOffset:function(){return{x:window.pageXOffset,y:window.pageYOffset}}},a)))}return a(s,A),e(s,null,[{key:"isSurfaceActive",value:function(t){return t[s.MATCHES](":active")}},{key:"MATCHES",get:function(){return s._matches||(s._matches=(t=HTMLElement.prototype,["webkitMatchesSelector","msMatchesSelector","matches"].filter(function(e){return e in t}).pop()));var t}}]),s}(),C={render:function(){var t=this,e=t.$createElement,n=t._self._c||e;return n("span",{staticClass:"mdc-icon-toggle",class:t.classes,style:t.styles,attrs:{role:"button","aria-pressed":"false",tabindex:t.tabIndex,"data-toggle-on":t.toggleOnData,"data-toggle-off":t.toggleOffData}},[n("i",{class:t.iconClasses,attrs:{"aria-hidden":"true"}},[t._v(t._s(t.text))])])},staticRenderFns:[],name:"mdc-icon-toggle",props:{toggleOn:[String,Object],toggleOff:[String,Object],value:Boolean,disabled:Boolean,accent:Boolean},data:function(){return{classes:{"mdc-icon-toggle--accent":this.accent},styles:{},iconClasses:{},tabIndex:0,text:""}},watch:{value:function(t){this.foundation&&this.foundation.toggle(t)},disabled:function(t){this.foundation&&this.foundation.setDisabled(t)},toggleOnData:function(){this.foundation&&this.foundation.refreshToggleData()},toggleOffData:function(){this.foundation&&this.foundation.refreshToggleData()},accent:function(t){this.$set(this.classes,"mdc-icon-toggle--secondary",t)}},computed:{toggleOnData:function(){var t=this.toggleOn;return t&&JSON.stringify("string"==typeof t?{content:t,cssClass:"material-icons"}:{content:t.icon||t.content,label:t.label,cssClass:t.icon?"material-icons":t.cssClass})},toggleOffData:function(){var t=this.toggleOff;return t&&JSON.stringify("string"==typeof t?{content:t,cssClass:"material-icons"}:{content:t.icon||t.content,label:t.label,cssClass:t.icon?"material-icons":t.cssClass})}},mounted:function(){var t=this;this.foundation=new u({addClass:function(e){return t.$set(t.iconClasses,e,!0)},removeClass:function(e){return t.$delete(t.iconClasses,e)},registerInteractionHandler:function(e,n){return t.$el.addEventListener(e,n)},deregisterInteractionHandler:function(e,n){return t.$el.removeEventListener(e,n)},setText:function(e){t.text=e},getTabIndex:function(){return t.tabIndex},setTabIndex:function(e){t.tabIndex=e},getAttr:function(e,n){return t.$el.getAttribute(e,n)},setAttr:function(e,n){t.$el.setAttribute(e,n)},rmAttr:function(e){t.$el.removeAttribute(e)},notifyChange:function(e){t.$emit("input",e.isOn)}}),this.foundation.init(),this.foundation.toggle(this.value),this.foundation.setDisabled(this.disabled),this.ripple=new b(this,{isUnbounded:function(){return!0},isSurfaceActive:function(){return t.foundation.isKeyboardActivated()}}),this.ripple.init()},beforeDestroy:function(){this.foundation.destroy(),this.ripple.destroy()}},T={version:"0.12.0",install:function(t){for(var e in g){var n=g[e];t.component(n.name,n)}},components:g={mdcIConToggle:C}};return function(t){var e=null;"undefined"!=typeof window?e=window.Vue:"undefined"!=typeof global&&(e=global.Vue),e&&e.use(t)}(T),T});
//# sourceMappingURL=icon-toggle.min.js.map
