/**
* @module vue-mdc-adapterlinear-progress 0.12.0
* @exports VueMDCLinearProgress
* @copyright (c) 2017-present, Sebastien Tasson
* @license https://opensource.org/licenses/MIT
* @implements {"material-components-web":"^0.32.0"}
* @requires {"vue":"^2.5.6"}
* @see https://github.com/stasson/vue-mdc-adapter
*/
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?module.exports=t():"function"==typeof define&&define.amd?define(t):e.VueMDCLinearProgress=t()}(this,function(){"use strict";var e,t=function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")},n=function(){function e(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,n,r){return n&&e(t.prototype,n),r&&e(t,r),t}}(),r=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},s=function(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t},i=function(){function e(){var n=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};t(this,e),this.adapter_=n}return n(e,null,[{key:"cssClasses",get:function(){return{}}},{key:"strings",get:function(){return{}}},{key:"numbers",get:function(){return{}}},{key:"defaultAdapter",get:function(){return{}}}]),n(e,[{key:"init",value:function(){}},{key:"destroy",value:function(){}}]),e}(),o=(function(){function e(n){var r=arguments.length>1&&void 0!==arguments[1]?arguments[1]:void 0;t(this,e),this.root_=n;for(var s=arguments.length,i=Array(s>2?s-2:0),o=2;o<s;o++)i[o-2]=arguments[o];this.initialize.apply(this,i),this.foundation_=void 0===r?this.getDefaultFoundation():r,this.foundation_.init(),this.initialSyncWithDOM()}n(e,null,[{key:"attachTo",value:function(t){return new e(t,new i)}}]),n(e,[{key:"initialize",value:function(){}},{key:"getDefaultFoundation",value:function(){throw new Error("Subclasses must override getDefaultFoundation to return a properly configured foundation class")}},{key:"initialSyncWithDOM",value:function(){}},{key:"destroy",value:function(){this.foundation_.destroy()}},{key:"listen",value:function(e,t){this.root_.addEventListener(e,t)}},{key:"unlisten",value:function(e,t){this.root_.removeEventListener(e,t)}},{key:"emit",value:function(e,t){var n=arguments.length>2&&void 0!==arguments[2]&&arguments[2],r=void 0;"function"==typeof CustomEvent?r=new CustomEvent(e,{detail:t,bubbles:n}):(r=document.createEvent("CustomEvent")).initCustomEvent(e,n,!1,t),this.root_.dispatchEvent(r)}}])}(),["transform","WebkitTransform","MozTransform","OTransform","MSTransform"]),a={CLOSED_CLASS:"mdc-linear-progress--closed",INDETERMINATE_CLASS:"mdc-linear-progress--indeterminate",REVERSED_CLASS:"mdc-linear-progress--reversed"},u={PRIMARY_BAR_SELECTOR:".mdc-linear-progress__primary-bar",BUFFER_SELECTOR:".mdc-linear-progress__buffer"},f=function(e){function f(e){return t(this,f),s(this,(f.__proto__||Object.getPrototypeOf(f)).call(this,r(f.defaultAdapter,e)))}return function(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}(f,i),n(f,null,[{key:"cssClasses",get:function(){return a}},{key:"strings",get:function(){return u}},{key:"defaultAdapter",get:function(){return{addClass:function(){},getPrimaryBar:function(){},getBuffer:function(){},hasClass:function(){return!1},removeClass:function(){},setStyle:function(){}}}}]),n(f,[{key:"init",value:function(){this.determinate_=!this.adapter_.hasClass(a.INDETERMINATE_CLASS),this.reverse_=this.adapter_.hasClass(a.REVERSED_CLASS),this.progress_=0}},{key:"setDeterminate",value:function(e){this.determinate_=e,this.determinate_?(this.adapter_.removeClass(a.INDETERMINATE_CLASS),this.setScale_(this.adapter_.getPrimaryBar(),this.progress_)):(this.adapter_.addClass(a.INDETERMINATE_CLASS),this.setScale_(this.adapter_.getPrimaryBar(),1),this.setScale_(this.adapter_.getBuffer(),1))}},{key:"setProgress",value:function(e){this.progress_=e,this.determinate_&&this.setScale_(this.adapter_.getPrimaryBar(),e)}},{key:"setBuffer",value:function(e){this.determinate_&&this.setScale_(this.adapter_.getBuffer(),e)}},{key:"setReverse",value:function(e){this.reverse_=e,this.reverse_?this.adapter_.addClass(a.REVERSED_CLASS):this.adapter_.removeClass(a.REVERSED_CLASS)}},{key:"open",value:function(){this.adapter_.removeClass(a.CLOSED_CLASS)}},{key:"close",value:function(){this.adapter_.addClass(a.CLOSED_CLASS)}},{key:"setScale_",value:function(e,t){var n=this,r="scaleX("+t+")";o.forEach(function(t){n.adapter_.setStyle(e,t,r)})}}]),f}(),c={type:[Number,String],validator:function(e){return Number(e)>=0&&Number(e)<=1}},l={render:function(){var e=this.$createElement,t=this._self._c||e;return t("div",{staticClass:"mdc-linear-progress",class:this.classes,style:this.styles,attrs:{role:"progressbar"}},[t("div",{staticClass:"mdc-linear-progress__buffering-dots"}),this._v(" "),t("div",{ref:"buffer",staticClass:"mdc-linear-progress__buffer"}),this._v(" "),t("div",{ref:"primary",staticClass:"mdc-linear-progress__bar mdc-linear-progress__primary-bar"},[t("span",{staticClass:"mdc-linear-progress__bar-inner"})]),this._v(" "),this._m(0)])},staticRenderFns:[function(){var e=this.$createElement,t=this._self._c||e;return t("div",{staticClass:"mdc-linear-progress__bar mdc-linear-progress__secondary-bar"},[t("span",{staticClass:"mdc-linear-progress__bar-inner"})])}],name:"mdc-linear-progress",props:{open:{type:Boolean,default:!0},indeterminate:Boolean,reverse:Boolean,accent:Boolean,progress:c,buffer:c},data:function(){return{classes:{"mdc-linear-progress--accent":this.accent},styles:{}}},watch:{open:function(){this.open?this.foundation.open():this.foundation.close()},progress:function(){this.foundation.setProgress(Number(this.progress))},buffer:function(){this.foundation.setBuffer(Number(this.buffer))},indeterminate:function(){this.foundation.setDeterminate(!this.indeterminate)},reverse:function(){this.foundation.setReverse(this.reverse)}},mounted:function(){var e=this;this.foundation=new f({addClass:function(t){e.$set(e.classes,t,!0)},getPrimaryBar:function(){return e.$refs.primary},getBuffer:function(){return e.$refs.buffer},hasClass:function(t){e.$el.classList.contains(t)},removeClass:function(t){e.$delete(e.classes,t)},setStyle:function(e,t,n){e.style[t]=n}}),this.foundation.init(),this.foundation.setReverse(this.reverse),this.foundation.setProgress(Number(this.progress)),this.foundation.setBuffer(Number(this.buffer)),this.foundation.setDeterminate(!this.indeterminate),this.open?this.foundation.open():this.foundation.close()},beforeDestroy:function(){this.foundation.destroy()}},d={version:"0.12.0",install:function(t){for(var n in e){var r=e[n];t.component(r.name,r)}},components:e={mdcLinearProgress:l}};return function(e){var t=null;"undefined"!=typeof window?t=window.Vue:"undefined"!=typeof global&&(t=global.Vue),t&&t.use(e)}(d),d});
//# sourceMappingURL=linear-progress.min.js.map
