/**
* @module vue-mdc-adapterlist 0.12.0
* @exports VueMDCList
* @copyright (c) 2017-present, Sebastien Tasson
* @license https://opensource.org/licenses/MIT
* @implements {"material-components-web":"^0.32.0"}
* @requires {"vue":"^2.5.6"}
* @see https://github.com/stasson/vue-mdc-adapter
*/
!function(t,e){"object"==typeof exports&&"undefined"!=typeof module?module.exports=e():"function"==typeof define&&define.amd?define(e):t.VueMDCList=e()}(this,function(){"use strict";var t=function(t,e){if(!(t instanceof e))throw new TypeError("Cannot call a class as a function")},e=function(){function t(t,e){for(var i=0;i<e.length;i++){var n=e[i];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(t,n.key,n)}}return function(e,i,n){return i&&t(e.prototype,i),n&&t(e,n),e}}(),i=Object.assign||function(t){for(var e=1;e<arguments.length;e++){var i=arguments[e];for(var n in i)Object.prototype.hasOwnProperty.call(i,n)&&(t[n]=i[n])}return t},n=function(t,e){if("function"!=typeof e&&null!==e)throw new TypeError("Super expression must either be null or a function, not "+typeof e);t.prototype=Object.create(e&&e.prototype,{constructor:{value:t,enumerable:!1,writable:!0,configurable:!0}}),e&&(Object.setPrototypeOf?Object.setPrototypeOf(t,e):t.__proto__=e)},a=function(t,e){if(!t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!e||"object"!=typeof e&&"function"!=typeof e?t:e},r={render:function(){var t=this.$createElement;return(this._self._c||t)("ul",{staticClass:"mdc-list",class:this.classes},[this._t("default")],2)},staticRenderFns:[],name:"mdc-list",props:{dense:Boolean,avatarList:Boolean,twoLine:Boolean,bordered:Boolean,interactive:Boolean},provide:function(){return{mdcList:this}},computed:{classes:function(){return{"mdc-list--dense":this.dense,"mdc-list--avatar-list":this.avatarList,"mdc-list--two-line":this.twoLine,"mdc-list--bordered":this.bordered,"mdc-list--non-interactive":!this.interactive}}}},s=function(){function i(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};t(this,i),this.adapter_=e}return e(i,null,[{key:"cssClasses",get:function(){return{}}},{key:"strings",get:function(){return{}}},{key:"numbers",get:function(){return{}}},{key:"defaultAdapter",get:function(){return{}}}]),e(i,[{key:"init",value:function(){}},{key:"destroy",value:function(){}}]),i}(),o=(function(){function i(){t(this,i)}e(i,[{key:"browserSupportsCssVars",value:function(){}},{key:"isUnbounded",value:function(){}},{key:"isSurfaceActive",value:function(){}},{key:"isSurfaceDisabled",value:function(){}},{key:"addClass",value:function(t){}},{key:"removeClass",value:function(t){}},{key:"containsEventTarget",value:function(t){}},{key:"registerInteractionHandler",value:function(t,e){}},{key:"deregisterInteractionHandler",value:function(t,e){}},{key:"registerDocumentInteractionHandler",value:function(t,e){}},{key:"deregisterDocumentInteractionHandler",value:function(t,e){}},{key:"registerResizeHandler",value:function(t){}},{key:"deregisterResizeHandler",value:function(t){}},{key:"updateCssVariable",value:function(t,e){}},{key:"computeBoundingRect",value:function(){}},{key:"getWindowPageOffset",value:function(){}}])}(),{ROOT:"mdc-ripple-upgraded",UNBOUNDED:"mdc-ripple-upgraded--unbounded",BG_FOCUSED:"mdc-ripple-upgraded--background-focused",FG_ACTIVATION:"mdc-ripple-upgraded--foreground-activation",FG_DEACTIVATION:"mdc-ripple-upgraded--foreground-deactivation"}),c={VAR_LEFT:"--mdc-ripple-left",VAR_TOP:"--mdc-ripple-top",VAR_FG_SIZE:"--mdc-ripple-fg-size",VAR_FG_SCALE:"--mdc-ripple-fg-scale",VAR_FG_TRANSLATE_START:"--mdc-ripple-fg-translate-start",VAR_FG_TRANSLATE_END:"--mdc-ripple-fg-translate-end"},d={PADDING:10,INITIAL_ORIGIN_SCALE:.6,DEACTIVATION_TIMEOUT_MS:225,FG_DEACTIVATION_MS:150,TAP_DELAY_MS:300},u=void 0,l=void 0;function f(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:window,e=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if(void 0===l||e){var i=!1;try{t.document.addEventListener("test",null,{get passive(){i=!0}})}catch(t){}l=i}return!!l&&{passive:!0}}
/**
 * @license
 * Copyright 2016 Google Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var v,_=["touchstart","pointerdown","mousedown","keydown"],p=["touchend","pointerup","mouseup"],h=[],m=function(r){function u(e){t(this,u);var n=a(this,(u.__proto__||Object.getPrototypeOf(u)).call(this,i(u.defaultAdapter,e)));return n.layoutFrame_=0,n.frame_={width:0,height:0},n.activationState_=n.defaultActivationState_(),n.initialSize_=0,n.maxRadius_=0,n.activateHandler_=function(t){return n.activate_(t)},n.deactivateHandler_=function(t){return n.deactivate_(t)},n.focusHandler_=function(){return requestAnimationFrame(function(){return n.adapter_.addClass(u.cssClasses.BG_FOCUSED)})},n.blurHandler_=function(){return requestAnimationFrame(function(){return n.adapter_.removeClass(u.cssClasses.BG_FOCUSED)})},n.resizeHandler_=function(){return n.layout()},n.unboundedCoords_={left:0,top:0},n.fgScale_=0,n.activationTimer_=0,n.fgDeactivationRemovalTimer_=0,n.activationAnimationHasEnded_=!1,n.activationTimerCallback_=function(){n.activationAnimationHasEnded_=!0,n.runDeactivationUXLogicIfReady_()},n.previousActivationEvent_=null,n}return n(u,s),e(u,null,[{key:"cssClasses",get:function(){return o}},{key:"strings",get:function(){return c}},{key:"numbers",get:function(){return d}},{key:"defaultAdapter",get:function(){return{browserSupportsCssVars:function(){},isUnbounded:function(){},isSurfaceActive:function(){},isSurfaceDisabled:function(){},addClass:function(){},removeClass:function(){},containsEventTarget:function(){},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},registerDocumentInteractionHandler:function(){},deregisterDocumentInteractionHandler:function(){},registerResizeHandler:function(){},deregisterResizeHandler:function(){},updateCssVariable:function(){},computeBoundingRect:function(){},getWindowPageOffset:function(){}}}}]),e(u,[{key:"isSupported_",value:function(){return this.adapter_.browserSupportsCssVars()}},{key:"defaultActivationState_",value:function(){return{isActivated:!1,hasDeactivationUXRun:!1,wasActivatedByPointer:!1,wasElementMadeActive:!1,activationEvent:null,isProgrammatic:!1}}},{key:"init",value:function(){var t=this;if(this.isSupported_()){this.registerRootHandlers_();var e=u.cssClasses,i=e.ROOT,n=e.UNBOUNDED;requestAnimationFrame(function(){t.adapter_.addClass(i),t.adapter_.isUnbounded()&&t.adapter_.addClass(n),t.layoutInternal_()})}}},{key:"destroy",value:function(){var t=this;if(this.isSupported_()){this.deregisterRootHandlers_(),this.deregisterDeactivationHandlers_();var e=u.cssClasses,i=e.ROOT,n=e.UNBOUNDED;requestAnimationFrame(function(){t.adapter_.removeClass(i),t.adapter_.removeClass(n),t.removeCssVars_()})}}},{key:"registerRootHandlers_",value:function(){var t=this;_.forEach(function(e){t.adapter_.registerInteractionHandler(e,t.activateHandler_)}),this.adapter_.registerInteractionHandler("focus",this.focusHandler_),this.adapter_.registerInteractionHandler("blur",this.blurHandler_),this.adapter_.registerResizeHandler(this.resizeHandler_)}},{key:"registerDeactivationHandlers_",value:function(t){var e=this;"keydown"===t.type?this.adapter_.registerInteractionHandler("keyup",this.deactivateHandler_):p.forEach(function(t){e.adapter_.registerDocumentInteractionHandler(t,e.deactivateHandler_)})}},{key:"deregisterRootHandlers_",value:function(){var t=this;_.forEach(function(e){t.adapter_.deregisterInteractionHandler(e,t.activateHandler_)}),this.adapter_.deregisterInteractionHandler("focus",this.focusHandler_),this.adapter_.deregisterInteractionHandler("blur",this.blurHandler_),this.adapter_.deregisterResizeHandler(this.resizeHandler_)}},{key:"deregisterDeactivationHandlers_",value:function(){var t=this;this.adapter_.deregisterInteractionHandler("keyup",this.deactivateHandler_),p.forEach(function(e){t.adapter_.deregisterDocumentInteractionHandler(e,t.deactivateHandler_)})}},{key:"removeCssVars_",value:function(){var t=this,e=u.strings;Object.keys(e).forEach(function(i){0===i.indexOf("VAR_")&&t.adapter_.updateCssVariable(e[i],null)})}},{key:"activate_",value:function(t){var e=this;if(!this.adapter_.isSurfaceDisabled()){var i=this.activationState_;if(!i.isActivated){var n=this.previousActivationEvent_;if(!(n&&t&&n.type!==t.type))i.isActivated=!0,i.isProgrammatic=null===t,i.activationEvent=t,i.wasActivatedByPointer=!i.isProgrammatic&&("mousedown"===t.type||"touchstart"===t.type||"pointerdown"===t.type),t&&h.length>0&&h.some(function(t){return e.adapter_.containsEventTarget(t)})?this.resetActivationState_():(t&&(h.push(t.target),this.registerDeactivationHandlers_(t)),requestAnimationFrame(function(){i.wasElementMadeActive=!t||"keydown"!==t.type||e.adapter_.isSurfaceActive(),i.wasElementMadeActive?e.animateActivation_():e.activationState_=e.defaultActivationState_(),h=[]}))}}}},{key:"activate",value:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.activate_(t)}},{key:"animateActivation_",value:function(){var t=this,e=u.strings,i=e.VAR_FG_TRANSLATE_START,n=e.VAR_FG_TRANSLATE_END,a=u.cssClasses,r=a.FG_DEACTIVATION,s=a.FG_ACTIVATION,o=u.numbers.DEACTIVATION_TIMEOUT_MS,c="",d="";if(!this.adapter_.isUnbounded()){var l=this.getFgTranslationCoordinates_(),f=l.startPoint,v=l.endPoint;c=f.x+"px, "+f.y+"px",d=v.x+"px, "+v.y+"px"}this.adapter_.updateCssVariable(i,c),this.adapter_.updateCssVariable(n,d),clearTimeout(this.activationTimer_),clearTimeout(this.fgDeactivationRemovalTimer_),this.rmBoundedActivationClasses_(),this.adapter_.removeClass(r),this.adapter_.computeBoundingRect(),this.adapter_.addClass(s),this.activationTimer_=setTimeout(function(){return t.activationTimerCallback_()},o)}},{key:"getFgTranslationCoordinates_",value:function(){var t,e,i,n,a,r,s,o,c,d=this.activationState_,u=d.activationEvent,l=void 0;return d.wasActivatedByPointer?(t=u,e=this.adapter_.getWindowPageOffset(),i=this.adapter_.computeBoundingRect(),n=e.x,a=e.y,r=n+i.left,s=a+i.top,o=void 0,c=void 0,"touchstart"===t.type?(o=t.changedTouches[0].pageX-r,c=t.changedTouches[0].pageY-s):(o=t.pageX-r,c=t.pageY-s),l={x:o,y:c}):l={x:this.frame_.width/2,y:this.frame_.height/2},{startPoint:l={x:l.x-this.initialSize_/2,y:l.y-this.initialSize_/2},endPoint:{x:this.frame_.width/2-this.initialSize_/2,y:this.frame_.height/2-this.initialSize_/2}}}},{key:"runDeactivationUXLogicIfReady_",value:function(){var t=this,e=u.cssClasses.FG_DEACTIVATION,i=this.activationState_,n=i.hasDeactivationUXRun,a=i.isActivated;(n||!a)&&this.activationAnimationHasEnded_&&(this.rmBoundedActivationClasses_(),this.adapter_.addClass(e),this.fgDeactivationRemovalTimer_=setTimeout(function(){t.adapter_.removeClass(e)},d.FG_DEACTIVATION_MS))}},{key:"rmBoundedActivationClasses_",value:function(){var t=u.cssClasses.FG_ACTIVATION;this.adapter_.removeClass(t),this.activationAnimationHasEnded_=!1,this.adapter_.computeBoundingRect()}},{key:"resetActivationState_",value:function(){var t=this;this.previousActivationEvent_=this.activationState_.activationEvent,this.activationState_=this.defaultActivationState_(),setTimeout(function(){return t.previousActivationEvent_=null},u.numbers.TAP_DELAY_MS)}},{key:"deactivate_",value:function(t){var e=this,n=this.activationState_;if(n.isActivated){var a=i({},n);if(n.isProgrammatic){requestAnimationFrame(function(){return e.animateDeactivation_(null,a)}),this.resetActivationState_()}else this.deregisterDeactivationHandlers_(),requestAnimationFrame(function(){e.activationState_.hasDeactivationUXRun=!0,e.animateDeactivation_(t,a),e.resetActivationState_()})}}},{key:"deactivate",value:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.deactivate_(t)}},{key:"animateDeactivation_",value:function(t,e){var i=e.wasActivatedByPointer,n=e.wasElementMadeActive;(i||n)&&this.runDeactivationUXLogicIfReady_()}},{key:"layout",value:function(){var t=this;this.layoutFrame_&&cancelAnimationFrame(this.layoutFrame_),this.layoutFrame_=requestAnimationFrame(function(){t.layoutInternal_(),t.layoutFrame_=0})}},{key:"layoutInternal_",value:function(){var t=this;this.frame_=this.adapter_.computeBoundingRect();var e=Math.max(this.frame_.height,this.frame_.width);this.maxRadius_=this.adapter_.isUnbounded()?e:Math.sqrt(Math.pow(t.frame_.width,2)+Math.pow(t.frame_.height,2))+u.numbers.PADDING,this.initialSize_=e*u.numbers.INITIAL_ORIGIN_SCALE,this.fgScale_=this.maxRadius_/this.initialSize_,this.updateLayoutCssVars_()}},{key:"updateLayoutCssVars_",value:function(){var t=u.strings,e=t.VAR_FG_SIZE,i=t.VAR_LEFT,n=t.VAR_TOP,a=t.VAR_FG_SCALE;this.adapter_.updateCssVariable(e,this.initialSize_+"px"),this.adapter_.updateCssVariable(a,this.fgScale_),this.adapter_.isUnbounded()&&(this.unboundedCoords_={left:Math.round(this.frame_.width/2-this.initialSize_/2),top:Math.round(this.frame_.height/2-this.initialSize_/2)},this.adapter_.updateCssVariable(i,this.unboundedCoords_.left+"px"),this.adapter_.updateCssVariable(n,this.unboundedCoords_.top+"px"))}},{key:"setUnbounded",value:function(t){var e=u.cssClasses.UNBOUNDED;t?this.adapter_.addClass(e):this.adapter_.removeClass(e)}}]),u}(),g=function(r){function s(e,n){return t(this,s),a(this,(s.__proto__||Object.getPrototypeOf(s)).call(this,i({browserSupportsCssVars:function(){return function(t){var e=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if("boolean"==typeof u&&!e)return u;if(t.CSS&&"function"==typeof t.CSS.supports){var i=t.CSS.supports("--css-vars","yes"),n=t.CSS.supports("(--css-vars: yes)")&&t.CSS.supports("color","#00000000");return u=!(!i&&!n||function(t){var e=t.document,i=e.createElement("div");i.className="mdc-ripple-surface--test-edge-var-bug",e.body.appendChild(i);var n=t.getComputedStyle(i),a=null!==n&&"solid"===n.borderTopStyle;return i.remove(),a}(t))}}(window)},isUnbounded:function(){return!1},isSurfaceActive:function(){return e.$el[s.MATCHES](":active")},isSurfaceDisabled:function(){return e.disabled},addClass:function(t){e.$set(e.classes,t,!0)},removeClass:function(t){e.$delete(e.classes,t)},containsEventTarget:function(t){return e.$el.contains(t)},registerInteractionHandler:function(t,i){e.$el.addEventListener(t,i)},deregisterInteractionHandler:function(t,i){e.$el.removeEventListener(t,i)},registerDocumentInteractionHandler:function(t,e){return document.documentElement.addEventListener(t,e,f())},deregisterDocumentInteractionHandler:function(t,e){return document.documentElement.removeEventListener(t,e,f())},registerResizeHandler:function(t){return window.addEventListener("resize",t)},deregisterResizeHandler:function(t){return window.removeEventListener("resize",t)},updateCssVariable:function(t,i){e.$set(e.styles,t,i)},computeBoundingRect:function(){return e.$el.getBoundingClientRect()},getWindowPageOffset:function(){return{x:window.pageXOffset,y:window.pageYOffset}}},n)))}return n(s,m),e(s,null,[{key:"isSurfaceActive",value:function(t){return t[s.MATCHES](":active")}},{key:"MATCHES",get:function(){return s._matches||(s._matches=(t=HTMLElement.prototype,["webkitMatchesSelector","msMatchesSelector","matches"].filter(function(e){return e in t}).pop()));var t}}]),s}(),y={render:function(){var t=this,e=t.$createElement,i=t._self._c||e;return i("li",t._g({staticClass:"mdc-list-item",class:[t.classes,t.itemClasses],style:t.styles,attrs:{tabindex:t.isInteractive?"0":void 0}},t.isInteractive?t.$listeners:{}),[t.hasStartDetail?i("span",{staticClass:"mdc-list-item__graphic"},[t._t("start-detail")],2):t._e(),t._v(" "),t.hasSecondary?i("span",{staticClass:"mdc-list-item__text"},[t._t("default"),t._v(" "),i("span",{staticClass:"mdc-list-item__secondary-text"},[t._t("secondary")],2)],2):t._t("default"),t._v(" "),t.hasEndDetail?i("span",{staticClass:"mdc-list-item__meta"},[t._t("end-detail")],2):t._e()],2)},staticRenderFns:[],name:"mdc-list-item",inject:["mdcList"],props:{selected:Boolean,activated:Boolean},data:function(){return{classes:{},styles:{}}},computed:{itemClasses:function(){return{"mdc-list-item--selected":this.selected,"mdc-list-item--activated":this.activated}},isInteractive:function(){return this.mdcList&&this.mdcList.interactive},hasSecondary:function(){return this.$slots.secondary&&this.mdcList&&this.mdcList.twoLine},hasEndDetail:function(){return!!this.$slots["end-detail"]},hasStartDetail:function(){return!!this.$slots["start-detail"]}},watch:{isInteractive:function(t){t?this.addRipple():this.removeRipple()}},mounted:function(){this.isInteractive&&this.addRipple()},beforeDestroy:function(){this.removeRipple()},methods:{addRipple:function(){if(!this.ripple){var t=new g(this);t.init(),this.ripple=t}},removeRipple:function(){if(this.ripple){var t=this.ripple;this.ripple=null,t.destroy()}}}},A={render:function(){var t=this.$createElement;return(this._self._c||t)("li",{staticClass:"mdc-list-divider",class:this.classes,attrs:{role:"separator"}})},staticRenderFns:[],name:"mdc-list-divider",props:{inset:Boolean,padded:Boolean},computed:{classes:function(){return{"mdc-list-divider--inset":this.inset,"mdc-list-divider--padded":this.padded}}}},C={version:"0.12.0",install:function(t){for(var e in v){var i=v[e];t.component(i.name,i)}},components:v={mdcList:r,mdcListItem:y,mdcListDivider:A,mdcListGroup:{render:function(){var t=this.$createElement;return(this._self._c||t)("div",{staticClass:"mdc-list-group"},[this._t("default")],2)},staticRenderFns:[],name:"mdc-list-group"},mdcListGroupHeader:{render:function(){var t=this.$createElement;return(this._self._c||t)("h3",{staticClass:"mdc-list-group-header mdc-list-group__subheader"},[this._t("default")],2)},staticRenderFns:[],name:"mdc-list-group-header"},mdcListGroupDivider:{render:function(){var t=this.$createElement;return(this._self._c||t)("hr",{staticClass:"mdc-list-group-divider mdc-list-divider"})},staticRenderFns:[],name:"mdc-list-group-divider"}}};return function(t){var e=null;"undefined"!=typeof window?e=window.Vue:"undefined"!=typeof global&&(e=global.Vue),e&&e.use(t)}(C),C});
//# sourceMappingURL=list.min.js.map
