/**
* @module vue-mdc-adaptertoolbar 0.12.0
* @exports VueMDCToolbar
* @copyright (c) 2017-present, Sebastien Tasson
* @license https://opensource.org/licenses/MIT
* @implements {"material-components-web":"^0.32.0"}
* @requires {"vue":"^2.5.6"}
* @see https://github.com/stasson/vue-mdc-adapter
*/
!function(t,e){"object"==typeof exports&&"undefined"!=typeof module?module.exports=e():"function"==typeof define&&define.amd?define(e):t.VueMDCToolbar=e()}(this,function(){"use strict";var t=function(t,e){if(!(t instanceof e))throw new TypeError("Cannot call a class as a function")},e=function(){function t(t,e){for(var i=0;i<e.length;i++){var o=e[i];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(t,o.key,o)}}return function(e,i,o){return i&&t(e.prototype,i),o&&t(e,o),e}}(),i=Object.assign||function(t){for(var e=1;e<arguments.length;e++){var i=arguments[e];for(var o in i)Object.prototype.hasOwnProperty.call(i,o)&&(t[o]=i[o])}return t},o=function(t,e){if(!t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!e||"object"!=typeof e&&"function"!=typeof e?t:e},a={props:{event:String,"event-target":Object,"event-args":Array},methods:{dispatchEvent:function(t){if(this.$emit(t.type),this.event){var e=this.eventTarget||this.$root,i=this.eventArgs||[];e.$emit.apply(e,[this.event].concat(function(t){if(Array.isArray(t)){for(var e=0,i=Array(t.length);e<t.length;e++)i[e]=t[e];return i}return Array.from(t)}(i)))}}}},s=function(){function i(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};t(this,i),this.adapter_=e}return e(i,null,[{key:"cssClasses",get:function(){return{}}},{key:"strings",get:function(){return{}}},{key:"numbers",get:function(){return{}}},{key:"defaultAdapter",get:function(){return{}}}]),e(i,[{key:"init",value:function(){}},{key:"destroy",value:function(){}}]),i}(),n={FIXED:"mdc-toolbar--fixed",FIXED_LASTROW:"mdc-toolbar--fixed-lastrow-only",FIXED_AT_LAST_ROW:"mdc-toolbar--fixed-at-last-row",TOOLBAR_ROW_FLEXIBLE:"mdc-toolbar--flexible",FLEXIBLE_DEFAULT_BEHAVIOR:"mdc-toolbar--flexible-default-behavior",FLEXIBLE_MAX:"mdc-toolbar--flexible-space-maximized",FLEXIBLE_MIN:"mdc-toolbar--flexible-space-minimized"},r={TITLE_SELECTOR:".mdc-toolbar__title",ICON_SELECTOR:".mdc-toolbar__icon",FIRST_ROW_SELECTOR:".mdc-toolbar__row:first-child",CHANGE_EVENT:"MDCToolbar:change"},l={MAX_TITLE_SIZE:2.125,MIN_TITLE_SIZE:1.25,TOOLBAR_ROW_HEIGHT:64,TOOLBAR_ROW_MOBILE_HEIGHT:56,TOOLBAR_MOBILE_BREAKPOINT:600},c=function(a){function c(e){t(this,c);var a=o(this,(c.__proto__||Object.getPrototypeOf(c)).call(this,i(c.defaultAdapter,e)));return a.resizeHandler_=function(){return a.checkRowHeight_()},a.scrollHandler_=function(){return a.updateToolbarStyles_()},a.checkRowHeightFrame_=0,a.scrollFrame_=0,a.executedLastChange_=!1,a.calculations_={toolbarRowHeight:0,toolbarRatio:0,flexibleExpansionRatio:0,maxTranslateYRatio:0,scrollThresholdRatio:0,toolbarHeight:0,flexibleExpansionHeight:0,maxTranslateYDistance:0,scrollThreshold:0},a.fixed_=!1,a.fixedLastrow_=!1,a.hasFlexibleRow_=!1,a.useFlexDefaultBehavior_=!1,a}return function(t,e){if("function"!=typeof e&&null!==e)throw new TypeError("Super expression must either be null or a function, not "+typeof e);t.prototype=Object.create(e&&e.prototype,{constructor:{value:t,enumerable:!1,writable:!0,configurable:!0}}),e&&(Object.setPrototypeOf?Object.setPrototypeOf(t,e):t.__proto__=e)}(c,s),e(c,null,[{key:"cssClasses",get:function(){return n}},{key:"strings",get:function(){return r}},{key:"numbers",get:function(){return l}},{key:"defaultAdapter",get:function(){return{hasClass:function(){return!1},addClass:function(){},removeClass:function(){},registerScrollHandler:function(){},deregisterScrollHandler:function(){},registerResizeHandler:function(){},deregisterResizeHandler:function(){},getViewportWidth:function(){return 0},getViewportScrollY:function(){return 0},getOffsetHeight:function(){return 0},getFirstRowElementOffsetHeight:function(){return 0},notifyChange:function(){},setStyle:function(){},setStyleForTitleElement:function(){},setStyleForFlexibleRowElement:function(){},setStyleForFixedAdjustElement:function(){}}}}]),e(c,[{key:"init",value:function(){this.fixed_=this.adapter_.hasClass(c.cssClasses.FIXED),this.fixedLastrow_=this.adapter_.hasClass(c.cssClasses.FIXED_LASTROW)&this.fixed_,this.hasFlexibleRow_=this.adapter_.hasClass(c.cssClasses.TOOLBAR_ROW_FLEXIBLE),this.hasFlexibleRow_&&(this.useFlexDefaultBehavior_=this.adapter_.hasClass(c.cssClasses.FLEXIBLE_DEFAULT_BEHAVIOR)),this.initKeyRatio_(),this.setKeyHeights_(),this.adapter_.registerResizeHandler(this.resizeHandler_),this.adapter_.registerScrollHandler(this.scrollHandler_)}},{key:"destroy",value:function(){this.adapter_.deregisterResizeHandler(this.resizeHandler_),this.adapter_.deregisterScrollHandler(this.scrollHandler_)}},{key:"updateAdjustElementStyles",value:function(){this.fixed_&&this.adapter_.setStyleForFixedAdjustElement("margin-top",this.calculations_.toolbarHeight+"px")}},{key:"getFlexibleExpansionRatio_",value:function(t){return Math.max(0,1-t/(this.calculations_.flexibleExpansionHeight+1e-4))}},{key:"checkRowHeight_",value:function(){var t=this;cancelAnimationFrame(this.checkRowHeightFrame_),this.checkRowHeightFrame_=requestAnimationFrame(function(){return t.setKeyHeights_()})}},{key:"setKeyHeights_",value:function(){var t=this.getRowHeight_();t!==this.calculations_.toolbarRowHeight&&(this.calculations_.toolbarRowHeight=t,this.calculations_.toolbarHeight=this.calculations_.toolbarRatio*this.calculations_.toolbarRowHeight,this.calculations_.flexibleExpansionHeight=this.calculations_.flexibleExpansionRatio*this.calculations_.toolbarRowHeight,this.calculations_.maxTranslateYDistance=this.calculations_.maxTranslateYRatio*this.calculations_.toolbarRowHeight,this.calculations_.scrollThreshold=this.calculations_.scrollThresholdRatio*this.calculations_.toolbarRowHeight,this.updateAdjustElementStyles(),this.updateToolbarStyles_())}},{key:"updateToolbarStyles_",value:function(){var t=this;cancelAnimationFrame(this.scrollFrame_),this.scrollFrame_=requestAnimationFrame(function(){var e=t.adapter_.getViewportScrollY(),i=t.scrolledOutOfThreshold_(e);if(!i||!t.executedLastChange_){var o=t.getFlexibleExpansionRatio_(e);t.updateToolbarFlexibleState_(o),t.fixedLastrow_&&t.updateToolbarFixedState_(e),t.hasFlexibleRow_&&t.updateFlexibleRowElementStyles_(o),t.executedLastChange_=i,t.adapter_.notifyChange({flexibleExpansionRatio:o})}})}},{key:"scrolledOutOfThreshold_",value:function(t){return t>this.calculations_.scrollThreshold}},{key:"initKeyRatio_",value:function(){var t=this.getRowHeight_(),e=this.adapter_.getFirstRowElementOffsetHeight()/t;this.calculations_.toolbarRatio=this.adapter_.getOffsetHeight()/t,this.calculations_.flexibleExpansionRatio=e-1,this.calculations_.maxTranslateYRatio=this.fixedLastrow_?this.calculations_.toolbarRatio-e:0,this.calculations_.scrollThresholdRatio=(this.fixedLastrow_?this.calculations_.toolbarRatio:e)-1}},{key:"getRowHeight_",value:function(){var t=c.numbers.TOOLBAR_MOBILE_BREAKPOINT;return this.adapter_.getViewportWidth()<t?c.numbers.TOOLBAR_ROW_MOBILE_HEIGHT:c.numbers.TOOLBAR_ROW_HEIGHT}},{key:"updateToolbarFlexibleState_",value:function(t){this.adapter_.removeClass(c.cssClasses.FLEXIBLE_MAX),this.adapter_.removeClass(c.cssClasses.FLEXIBLE_MIN),1===t?this.adapter_.addClass(c.cssClasses.FLEXIBLE_MAX):0===t&&this.adapter_.addClass(c.cssClasses.FLEXIBLE_MIN)}},{key:"updateToolbarFixedState_",value:function(t){var e=Math.max(0,Math.min(t-this.calculations_.flexibleExpansionHeight,this.calculations_.maxTranslateYDistance));this.adapter_.setStyle("transform","translateY("+-e+"px)"),e===this.calculations_.maxTranslateYDistance?this.adapter_.addClass(c.cssClasses.FIXED_AT_LAST_ROW):this.adapter_.removeClass(c.cssClasses.FIXED_AT_LAST_ROW)}},{key:"updateFlexibleRowElementStyles_",value:function(t){if(this.fixed_){var e=this.calculations_.flexibleExpansionHeight*t;this.adapter_.setStyleForFlexibleRowElement("height",e+this.calculations_.toolbarRowHeight+"px")}this.useFlexDefaultBehavior_&&this.updateElementStylesDefaultBehavior_(t)}},{key:"updateElementStylesDefaultBehavior_",value:function(t){var e=c.numbers.MAX_TITLE_SIZE,i=c.numbers.MIN_TITLE_SIZE,o=(e-i)*t+i;this.adapter_.setStyleForTitleElement("font-size",o+"rem")}}]),c}(),u=void 0;function d(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:window,e=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if(void 0===u||e){var i=!1;try{t.document.addEventListener("test",null,{get passive(){i=!0}})}catch(t){}u=i}return!!u&&{passive:!0}}var h,f={render:function(){var t=this,e=t.$createElement,i=t._self._c||e;return i("header",{staticClass:"mdc-toolbar-wrapper"},[i("div",{ref:"root",class:t.rootClasses,style:t.rootStyles},[t._t("default")],2),t._v(" "),t.fixed||t.waterfall||t.fixedLastrow?i("div",{ref:"fixed-adjust",staticClass:"mdc-toolbar-fixed-adjust",style:t.adjustStyles}):t._e()])},staticRenderFns:[],name:"mdc-toolbar",props:{fixed:Boolean,waterfall:Boolean,"fixed-lastrow":Boolean,flexible:Boolean,"flexible-default":{type:Boolean,default:!0}},data:function(){return{rootClasses:{"mdc-toolbar":!0,"mdc-toolbar--fixed":this.fixed||this.waterfall||this.fixedLastrow,"mdc-toolbar--waterfall":this.waterfall,"mdc-toolbar--fixed-lastrow-only":this.fixedLastrow,"mdc-toolbar--flexible":this.flexible,"mdc-toolbar--flexible-default-behavior":this.flexible&&this.flexibleDefault},rootStyles:{},adjustStyles:{},foundation:null}},mounted:function(){var t=this;this.foundation=new c({addClass:function(e){t.$set(t.rootClasses,e,!0)},removeClass:function(e){t.$delete(t.rootClasses,e)},hasClass:function(e){return t.$refs.root.classList.contains(e)},registerScrollHandler:function(t){window.addEventListener("scroll",t,d())},deregisterScrollHandler:function(t){window.removeEventListener("scroll",t,d())},registerResizeHandler:function(t){window.addEventListener("resize",t)},deregisterResizeHandler:function(t){window.removeEventListener("resize",t)},getViewportWidth:function(){return window.innerWidth},getViewportScrollY:function(){return window.pageYOffset},getOffsetHeight:function(){return t.$refs.root.offsetHeight},getFirstRowElementOffsetHeight:function(){var e=t.$refs.root.querySelector(c.strings.FIRST_ROW_SELECTOR);return e?e.offsetHeight:void 0},notifyChange:function(e){t.$emit("change",e)},setStyle:function(e,i){t.$set(t.rootStyles,e,i)},setStyleForTitleElement:function(e,i){var o=t.$refs.root.querySelector(c.strings.TITLE_SELECTOR);o&&o.style.setProperty(e,i)},setStyleForFlexibleRowElement:function(e,i){var o=t.$refs.root.querySelector(c.strings.FIRST_ROW_SELECTOR);o&&o.style.setProperty(e,i)},setStyleForFixedAdjustElement:function(e,i){t.$set(t.adjustStyles,e,i)}}),this.foundation.init()},beforeDestroy:function(){this.foundation.destroy()}},_={render:function(){var t=this.$createElement;return(this._self._c||t)("section",{staticClass:"mdc-toolbar-section mdc-toolbar__section",class:this.classes},[this._t("default")],2)},staticRenderFns:[],name:"mdc-toolbar-section",props:{"align-start":Boolean,"align-end":Boolean,"shrink-to-fit":Boolean},data:function(){return{classes:{"mdc-toolbar__section--align-start":this.alignStart,"mdc-toolbar__section--align-end":this.alignEnd,"mdc-toolbar__section--shrink-to-fit":this.shrinkToFit}}}},m={render:function(){var t=this.$createElement;return(this._self._c||t)("a",{staticClass:"mdc-toolbar-menu-icon mdc-toolbar__menu-icon",class:{"material-icons":!!this.icon},on:{click:this.dispatchEvent}},[this._t("default",[this._v(this._s(this.icon))])],2)},staticRenderFns:[],name:"mdc-toolbar-menu-icon",mixins:[a],props:{icon:{type:String,default:"menu"}}},b={render:function(){var t=this.$createElement;return(this._self._c||t)("a",{staticClass:"mdc-toolbar-icon mdc-toolbar__icon",class:{"material-icons":!!this.icon},on:{click:this.dispatchEvent}},[this._t("default",[this._v(this._s(this.icon))])],2)},staticRenderFns:[],name:"mdc-toolbar-icon",mixins:[a],props:{icon:String}},p={version:"0.12.0",install:function(t){for(var e in h){var i=h[e];t.component(i.name,i)}},components:h={mdcToolbar:f,mdcToolbarRow:{render:function(){var t=this.$createElement;return(this._self._c||t)("div",{staticClass:"mdc-toolbar-row mdc-toolbar__row"},[this._t("default")],2)},staticRenderFns:[],name:"mdc-toolbar-row"},mdcToolbarSection:_,mdcToolbarMenuIcon:m,mdcToolbarTitle:{render:function(){var t=this.$createElement;return(this._self._c||t)("a",{staticClass:"mdc-toolbar-title mdc-toolbar__title",on:{click:this.dispatchEvent}},[this._t("default")],2)},staticRenderFns:[],name:"mdc-toolbar-title",mixins:[a]},mdcToolbarIcon:b}};return function(t){var e=null;"undefined"!=typeof window?e=window.Vue:"undefined"!=typeof global&&(e=global.Vue),e&&e.use(t)}(p),p});
//# sourceMappingURL=toolbar.min.js.map
